#!/bin/bash
SCRIPT_DIR="$(cd "$(dirname "$0")" && pwd)"
INSTALL_DIR="$(dirname "$SCRIPT_DIR")"
if [ -n "$SUDO_USER" ]; then
	PATH_HOME=$(getent passwd "$SUDO_USER" | cut -d: -f6)
else
	PATH_HOME="$HOME"
fi

DESKTOP_PATH="$PATH_HOME/Desktop"
if [ ! -d "$DESKTOP_PATH" ]; then
    DESKTOP_PATH=$PATH_HOME'/Рабочий стол'
fi

if [ -d "$DESKTOP_PATH" ]; then
    SHORTCUT_FILE="$DESKTOP_PATH/Shell.desktop"
	
else
    echo "Директория рабочего стола не найдена: $DESKTOP_PATH"
    echo "Ссылка на рабочем столе не будет создана"
fi


if [ -n "$SUDO_USER" ]; then
	sudo -u "$SUDO_USER" bash -c "
	cat > '$SHORTCUT_FILE' <<EOL
[Desktop Entry]
Version=1.0
Type=Application
Name=Shell
Exec=sh -c \"cd $INSTALL_DIR && ./ShellFMX\"
Icon=$INSTALL_DIR/Scripts/Shell_icon.png
Terminal=false
EOL
	chmod 644 '$SHORTCUT_FILE'
"
else
	cat > "$SHORTCUT_FILE" <<EOL
[Desktop Entry]
Version=1.0
Type=Application
Name=Shell
Exec=sh -c "cd $INSTALL_DIR && ./ShellFMX"
Icon=$INSTALL_DIR/Scripts/Shell_icon.png
Terminal=false
EOL
	chmod 644 '$SHORTCUT_FILE'
fi
